# Retrieve a progress adjustment

`GET https://api.cademi.com.br/api/v3/users/{user_id}/products/{product_id}/progress/adjustments/{adjustment_id}`

Operation ID: `users.products.progress.adjustments.get` · API v3

Retrieves a progress adjustment recorded for the user in a product.

Required permissions: `progress.read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `user_id` | path | string | yes |  |
| `product_id` | path | string | yes |  |
| `adjustment_id` | path | string | yes |  |

## Responses

### 200

Returns the requested progress adjustment.

Body: `data`: ProgressAdjustment.

Fields of ProgressAdjustment:

| Field | Type | Required | Description |
|---|---|---|---|
| `author` | object | yes |  |
| `created_at` | string (date-time) | yes |  |
| `id` | string | yes |  |
| `object` | string, one of `progress_adjustment` | yes |  |
| `product_id` | string | yes |  |
| `reason` | string | yes |  |
| `result` | object | yes |  |
| `type` | string, one of `reset` | yes |  |
| `user_id` | string | yes |  |

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The user, product, or progress adjustment was not found or is not accessible with the current credentials.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
